Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(25)

Issue 2864593003: Add MimeUtil::Parse{Audio|Video}CodecString (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 month, 2 weeks ago by chcunningham
Modified:
1 month ago
CC:
chromium-reviews, feature-media-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Add MimeUtil::Parse{Audio|Video}CodecString Media Capabilities needs MimeUtil to turn strings into codecs before it can query media::DecodeCapabilities APIs. This also exposes when the parsed string is ambiguous so that Media Capabilities can reject support and log some error. BUG=695264 TEST=new media_unittest Review-Url: https://codereview.chromium.org/2864593003 Cr-Commit-Position: refs/heads/master@{#472987} Committed: https://chromium.googlesource.com/chromium/src/+/a4a66a6e3e01cf6594872f4d34208685a6eae5ea

Patch Set 1 #

Patch Set 2 : Adding calls from MediaCapabilities client #

Total comments: 4

Patch Set 3 : Feedback and test fix #

Patch Set 4 : Refactor MimeUtil parsing. Check mime/codec combo validity #

Patch Set 5 : Rebase #

Total comments: 2

Patch Set 6 : Feedback && Proprietary Codecs fix && Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+548 lines, -191 lines) Patch
M content/browser/media/media_capabilities_browsertest.cc View 1 2 3 1 chunk +3 lines, -3 lines 0 comments Download
M media/base/media.h View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M media/base/media.cc View 1 2 2 chunks +7 lines, -3 lines 0 comments Download
M media/base/mime_util.h View 1 2 2 chunks +27 lines, -0 lines 0 comments Download
M media/base/mime_util.cc View 1 chunk +20 lines, -0 lines 0 comments Download
M media/base/mime_util_internal.h View 1 2 3 4 chunks +58 lines, -34 lines 0 comments Download
M media/base/mime_util_internal.cc View 1 2 3 4 7 chunks +248 lines, -118 lines 0 comments Download
M media/base/mime_util_unittest.cc View 1 2 3 4 5 4 chunks +132 lines, -1 line 0 comments Download
M media/base/video_codecs.cc View 1 2 3 1 chunk +4 lines, -3 lines 0 comments Download
M media/blink/webmediacapabilitiesclient_impl.cc View 1 2 chunks +48 lines, -29 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 30 (15 generated)
chcunningham
Adding reviewers ;)
1 month, 2 weeks ago (2017-05-08 22:45:06 UTC) #3
tguilbert
LGTM The code looks fine to me. However, I have little experience with mime type ...
1 month, 2 weeks ago (2017-05-08 23:19:57 UTC) #4
chcunningham
Thanks > https://codereview.chromium.org/2864593003/diff/20001/media/base/mime_util_internal.cc > File media/base/mime_util_internal.cc (right): > > https://codereview.chromium.org/2864593003/diff/20001/media/base/mime_util_internal.cc#newcode454 > media/base/mime_util_internal.cc:454: // Not part ...
1 month, 1 week ago (2017-05-10 20:39:38 UTC) #5
mlamouri (slow)
lgtm with documentation in the header files https://codereview.chromium.org/2864593003/diff/20001/media/base/mime_util.h File media/base/mime_util.h (right): https://codereview.chromium.org/2864593003/diff/20001/media/base/mime_util.h#newcode41 media/base/mime_util.h:41: AudioCodec* out_codec); ...
1 month, 1 week ago (2017-05-11 09:59:07 UTC) #6
chcunningham
On 2017/05/11 09:59:07, mlamouri wrote: > lgtm with documentation in the header files > > ...
1 month, 1 week ago (2017-05-11 22:28:31 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2864593003/40001
1 month, 1 week ago (2017-05-11 22:31:01 UTC) #10
commit-bot: I haz the power
Try jobs failed on following builders: cast_shell_linux on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/cast_shell_linux/builds/366203)
1 month, 1 week ago (2017-05-11 23:39:42 UTC) #12
chcunningham
tguilbert@ - I changed everything in media/. PTAL mlamouri@ - all media caps stuff is ...
1 month, 1 week ago (2017-05-16 23:46:51 UTC) #13
mlamouri (slow)
On 2017/05/16 at 23:46:51, chcunningham wrote: > tguilbert@ - I changed everything in media/. PTAL ...
1 month ago (2017-05-17 13:31:01 UTC) #18
tguilbert
still LGTM https://codereview.chromium.org/2864593003/diff/80001/media/base/mime_util_unittest.cc File media/base/mime_util_unittest.cc (right): https://codereview.chromium.org/2864593003/diff/80001/media/base/mime_util_unittest.cc#newcode280 media/base/mime_util_unittest.cc:280: EXPECT_EQ(VideoColorSpace::REC709(), out_colorspace); Can you add a UT ...
1 month ago (2017-05-17 20:58:33 UTC) #19
chcunningham
Thanks for review! On 2017/05/17 13:31:01, mlamouri wrote: > Based on the above, I assume ...
1 month ago (2017-05-18 01:29:42 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2864593003/100001
1 month ago (2017-05-18 01:31:55 UTC) #23
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/448038)
1 month ago (2017-05-18 05:57:41 UTC) #25
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2864593003/100001
1 month ago (2017-05-18 18:06:18 UTC) #27
commit-bot: I haz the power
1 month ago (2017-05-19 00:14:23 UTC) #30
Message was sent while issue was closed.
Committed patchset #6 (id:100001) as
https://chromium.googlesource.com/chromium/src/+/a4a66a6e3e01cf6594872f4d3420...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318